/********************************************************************************
                                 ConnectFrame.h
                               -------------------
           begin                : lun jui 14 19:50:56 CEST 2003
       copyright                : (C) 2003 by Thomas Silvi
           email                : thomas.silvi@laposte.net
*********************************************************************************/

/********************************************************************************
*                                                                               *
*   This file is part of the Escort Tools Suite program.                        *
*                                                                               *
*   Escort Tools Suite is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by        *
*   the Free Software Foundation; either version 2 of the License, or           *
*   (at your option) any later version.                                         *
*                                                                               *
*   Escort Tools Suite is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of              *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               *
*   GNU General Public License for more details.                                *
*                                                                               *
*   You should have received a copy of the GNU General Public License           *
*   along with Escort Tools Suite; if not, write to the Free Software           *
*   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA   *
*                                                                               *
*********************************************************************************/

#include <klineedit.h>
#include <kpassdlg.h>

#include <qframe.h>

class ConnectFrame : public QFrame
{
	Q_OBJECT

	public:

	ConnectFrame(QWidget * parent = 0, const char * name = 0, WFlags f = 0);
	~ConnectFrame();

	void setHost(QString const &pHost);
	QString getHost () const;

	void setHostAddr(QString const &pHostAddr);
	QString getHostAddr() const;

	void setPort(QString const &pPort);
	QString getPort() const;

	void setDatabase(QString const &pDatabase);
	QString getDatabase() const;

	void setLogin(QString const &pLogin);
	QString getLogin() const;

	void setPassword(QString const &pPassword);
	QString getPassword() const;

	protected:

	KLineEdit * kle_Host; 
	KLineEdit * kle_HostAddr; 
	KLineEdit * kle_Port; 
	KLineEdit * kle_Database; 
	KLineEdit * kle_Login;
	KPasswordEdit * kpe_Password;
	
};

