/********************************************************************************
                                   Launcher.h
                               -------------------
           begin                : lun jui 14 19:50:56 CEST 2003
       copyright                : (C) 2003 by Thomas Silvi
           email                : thomas.silvi@laposte.net
*********************************************************************************/

/********************************************************************************
*                                                                               *
*   This file is part of the Escort Tools Suite program.                        *
*                                                                               *
*   Escort Tools Suite is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by        *
*   the Free Software Foundation; either version 2 of the License, or           *
*   (at your option) any later version.                                         *
*                                                                               *
*   Escort Tools Suite is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of              *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               *
*   GNU General Public License for more details.                                *
*                                                                               *
*   You should have received a copy of the GNU General Public License           *
*   along with Escort Tools Suite; if not, write to the Free Software           *
*   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA   *
*                                                                               *
*********************************************************************************/


#ifndef LAUNCHER_H
#define LAUNCHER_H

#include "ToolSkeleton.h"
#include "ToolSuiteConfig.h"

#include <qstring.h>
#include <kpopupmenu.h>
#include <kcmdlineargs.h>


class Launcher : QObject
{
	Q_OBJECT

	public:

	Launcher();
	~Launcher();

	ToolSkeleton * launch(QString pToolToLaunch);

	bool checkAndFindToolToLaunch(KCmdLineArgs *pArgs, QString &pToolToLaunch);
	void setDefaultTool(QString pDefaultTool);

	public slots:

	ToolSkeleton * launch(int pToolIndex);

	protected:

	QString defaultTool;
	ToolSuiteConfig *config;

};

#endif

