/********************************************************************************
                                   OutputView.h
                               -------------------
           begin                : lun jui 14 19:50:56 CEST 2003
       copyright                : (C) 2003 by Thomas Silvi
           email                : thomas.silvi@laposte.net
*********************************************************************************/

/********************************************************************************
*                                                                               *
*   This file is part of the Escort Tools Suite program.                        *
*                                                                               *
*   Escort Tools Suite is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by        *
*   the Free Software Foundation; either version 2 of the License, or           *
*   (at your option) any later version.                                         *
*                                                                               *
*   Escort Tools Suite is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of              *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               *
*   GNU General Public License for more details.                                *
*                                                                               *
*   You should have received a copy of the GNU General Public License           *
*   along with Escort Tools Suite; if not, write to the Free Software           *
*   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA   *
*                                                                               *
*********************************************************************************/

#ifndef OUTPUTVIEW_H
#define OUTPUTVIEW_H

#include <libpq-fe.h>

#include <kapplication.h>

#include <qframe.h>
#include <qstring.h>
#include <qfile.h>

class OutputView : public QFrame
{
	Q_OBJECT

	public:

	OutputView();
	virtual ~OutputView();
	
	virtual void printOutput(QString pStr);
	virtual void saveOutput(QFile &pFile);
	virtual void initOutput();
	virtual void resetOutput();
	virtual void showResuts(PGresult *pResults);

	void setApplication (KApplication *pApp);
	virtual bool specialInit(QString &pErrorMessage);

	protected:

	KApplication *app;
	
};

#endif

